com.explodingpixels.macwidgets

## Class MacColorUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.MacColorUtils

-     public class MacColorUtils
      extends Object

  Utility methods for dealing with Mac colors.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `EMPTY_COLOR`
    `static Color` | `LEOPARD_BORDER_COLOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacColorUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Color` | `getTexturedWindowToolbarBorderFocusedColor()` Gets the color used to separate a `UnifiedToolBar` from the window content when the window is active.
    `static Color` | `getTexturedWindowToolbarBorderUnfocusedColor()` Gets the color used to separate a `UnifiedToolBar` from the window content when the window is inactive.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_COLOR

          public static Color EMPTY_COLOR

    - #### LEOPARD_BORDER_COLOR

          public static Color LEOPARD_BORDER_COLOR

  - ### Constructor Detail

    - #### MacColorUtils

          public MacColorUtils()

  - ### Method Detail

    - #### getTexturedWindowToolbarBorderFocusedColor

          public static Color getTexturedWindowToolbarBorderFocusedColor()

      Gets the color used to separate a `UnifiedToolBar` from the window content when the window is active.
      Returns:
        the border color when the window is active.

    - #### getTexturedWindowToolbarBorderUnfocusedColor

          public static Color getTexturedWindowToolbarBorderUnfocusedColor()

      Gets the color used to separate a `UnifiedToolBar` from the window content when the window is inactive.
      Returns:
        the border color when the window is inactive.